Quote Originally Posted by huxtee View Post
Hi Beidl I have tried the process again from the beginning,
I have upgraded x-org, unity, and linux kernals from the PPAs
ppa:andrikos/ppa
ppa:unity-team/sru
ppaorg-edgers/ppa

but when I reboot and log in every thing seems ok except their is no unity.
Code:
brian@brian-inspiron5520:~$ unity
The program 'unity' is currently not installed. You can install it by typing:
sudo apt-get install unity
brian@brian-inspiron5520:~$ sudo apt-get install unity
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 unity : Depends: libunity-core-6.0-5 (= 6.12.0+bzr2799sruubuntu0+806) but it is not going to be installed
         Depends: libunity-protocol-private0 (>= 6.12.0) but 6.10.0+bzr188sruubuntu0+152 is to be installed
E: Unable to correct problems, you have held broken packages.
Do you have any ppa's that contain modified unity versions? I can't imagine there would be dependency problems because would have them as well.

@markackerman8@gmail.com, as long as both 10fglrx and 11switchable are in the Xsessions.d folder, there shouldn't be any problem. Maybe pull the power once because that's what I had to do.
Maybe you guys can retry this without the Unity SRU ppa.
And as long as you pin the packages, there should be no issue when an upgrade tries to overwrite the modified intel xorg drivers.